.containersmart {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background: white;
    border-radius: 10px;
/*     box-shadow: 0 4px 8px rgba(0, 0, 0, .1);
 */    overflow: hidden;
    margin: 20px auto;
    width: 85%;
    padding: 65px;
}

.titulo-recoger-samrtbox{
    font-size: 24px !important;
    margin: 15px;    
}

.content-section {
    display: flex;
    min-height: 250px;
}

.text-content {
    flex: 1;
    padding: 0 2rem;
    
}

.icons-smartbox-home{
    color: #4CB7AB;
    font-size: 30px;
    margin:0 10px;
}

.text-item {
    display: flex;
    justify-content: center;
    align-items: start;
    flex-direction: row;
    cursor: pointer;
    margin-bottom: 2rem;
    opacity: 0.6;
    transition: all 0.3s ease;

    box-shadow: 0 4px 8px rgba(0, 0, 0, .1); 
    border-radius: 10px;
    padding: 10px;
}

.text-item:hover {
    opacity: 0.8;
}

.text-item.active {
    opacity: 1;
    position: relative;
}

.text-item.active::after {
    content: '';
    position: absolute;
    bottom: -0.5rem;
    left: 20px;
    width: 3rem;
    height: 0.25rem;
    background: #4CB7AB;
    border-radius: 1rem;
    top: 40px;
}

.text-item h2 {
    color: #1f2937;
    font-size: 1.5rem;
    margin-bottom: 0.75rem;
}

.text-item.active h2 {
    color: #4CB7AB;
}

.text-item p {
    color: #4b5563;
    line-height: 1.6;
}

.text-item.active p {
    color: #1f2937;
}

.image-content {
    flex: 1;
    position: relative;
    background: #f3f4f6;
    box-shadow: 0 4px 8px rgba(0, 0, 0, .1); 
}

.image-content img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0;
    transition: opacity 0.5s ease;
}

.image-content img.active {
    opacity: 1;
}

.text-item {
    transition: transform 0.3s ease, background-color 0.3s ease, border 0.3s ease;
  }



@media (max-width: 768px) {
    .image-content {
        display: none;
    }
    .content-section {
        width: 100%;
    }
    .text-content {
        display: flex;
        overflow-x: auto;
        scroll-snap-type: x mandatory;
        gap: 10px; 
    }

    .text-item {
        flex: 0 0 auto;
        min-width: 43%;
        scroll-snap-align: start;
        width: 80%;
        box-shadow: 0 4px 8px rgba(0, 0, 0, .1); 
        border-radius: 10px;
        padding: 10px;
        height: 220px;
        opacity: 1;
    }

    .text-content::-webkit-scrollbar {
        display: none; 
    }
    .text-item.active::after {
        display: none;
        content: '';
        position: absolute;
        bottom: -0.5rem;
        left: 20px;
        width: 3rem;
        height: 0.25rem;
        background: #4CB7AB;
        border-radius: 1rem;
        top: 40px;
    }
}


@media (max-width: 768px) {
    .content-section {
        flex-direction: column;
    }
    
    .image-content {
        height: 300px;
    }
    
    .text-content {
        order: 2;
    }

    .titulo-recoger-samrtbox {
        font-size: 18px !important;
    }

    .containersmart {
        margin: 20px auto;
        width: 100%;
        padding: 0px;
    }
}